Bug 1731651 - Backport performance patches to mutter 3.32 from master branch
Summary: Backport performance patches to mutter 3.32 from master branch
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: mutter
Version: 30
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Florian Müllner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-20 13:12 UTC by Artem
Modified: 2020-05-26 16:14 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-26 16:14:04 UTC
Type: Bug


Attachments (Terms of Use)

Description Artem 2019-07-20 13:12:18 UTC
Hello. Before sending PR on src.fedora i want to discuss first this there. Here is few COPR repos with performance patches for 'mutter' and 'gnome-shell':

1. Repo with all performance patches (merged, closed, open) and with huge regression on NVIDIA cards:

  https://copr.fedorainfracloud.org/coprs/pp3345/gnome-with-patches/

2. Repo with performance patches (merged, closed, open) but safe for NVIDIA cards:
  
  https://copr.fedorainfracloud.org/coprs/atim/gnome-with-safe-patches/

3. Repo with performance patches only merged in master branch of GNOME (safest):

  https://copr.fedorainfracloud.org/coprs/atim/gnome-with-merged-patches/

---

I am using #2 with my NVIDIA GTX1060 and i have zero issues with it. Difference is somewhat colossal for me and i can even imagine to go back on stock GNOME experience now. :) But there is is still could be some issues according to talks on GitLab and MR not merged yet with good reasons. What i want to suggest and discuss is backport imto current Fedora 30 and GNOME 3.32 upstream patches from #3. Some distros like Pop!_OS already backported them and at least they already get massive testing (i hope).

What do you think? GNOME performance is still what mostly annoys users and just waiting for 3.34 is not a solution for many of them.

Comment 1 Ben Cotton 2020-04-30 21:31:47 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Ben Cotton 2020-05-26 16:14:04 UTC
Fedora 30 changed to end-of-life (EOL) status on 2020-05-26. Fedora 30 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.